path: /build/build/linecache2-dev-python-1.0.0+2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/linecache2 -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/linecache2 && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/linecache2 && \
    luet-portage --dir /pkgdir/linecache2 dev-python/linecache2 && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree:d38c02bd3979695f5ec14ccbbe8f804a96e95fb75b1dca7d476ef30429a340b6
  package:
    name: linecache2
    version: 1.0.0+2
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-mark-race12
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Backports of the linecache module
    uri:
    - https://github.com/testing-cabal/linecache2
    - https://pypi.org/project/linecache2/
    buildtimestamp: 2026-07-31 12:58:32.42828397 +0000 UTC m=+72.784077047
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: python_targets_python3_10? ( dev-python/pbr[python_targets_python3_10(-)?,-python_single_target_python3_10(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]
        dev-python/setuptools[python_targets_python3_10(-)?,-python_single_target_python3_10(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]
        ) python_targets_python3_7? ( dev-python/pbr[python_targets_python3_10(-)?,-python_single_target_python3_10(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]
        dev-python/setuptools[python_targets_python3_10(-)?,-python_single_target_python3_10(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]
        ) python_targets_python3_9? ( dev-python/pbr[python_targets_python3_10(-)?,-python_single_target_python3_10(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]
        dev-python/setuptools[python_targets_python3_10(-)?,-python_single_target_python3_10(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]
        ) python_targets_python3_8? ( dev-python/pbr[python_targets_python3_10(-)?,-python_single_target_python3_10(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]
        dev-python/setuptools[python_targets_python3_10(-)?,-python_single_target_python3_10(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]
        )
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/linecache2
      kit: geaaru-kit
      original.package.name: dev-python/linecache2
      original.package.slot: "0"
      original.package.version: 1.0.0
    treedir: /build/packages
  package_dir: /pkgdir/linecache2
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: e3bdb581e2fded1345893db6c65cc23ebbccd4b66c9ef0bda0747806f750875b
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/linecache2/__init__.py
- usr/lib/python3.9/site-packages/linecache2/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/linecache2/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__init__.py
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/inspect_fodder.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/inspect_fodder.cpython-39.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/inspect_fodder2.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/inspect_fodder2.cpython-39.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/mapping_tests.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/mapping_tests.cpython-39.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/test_linecache.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/test_linecache.cpython-39.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/inspect_fodder.py
- usr/lib/python3.9/site-packages/linecache2/tests/inspect_fodder2.py
- usr/lib/python3.9/site-packages/linecache2/tests/mapping_tests.py
- usr/lib/python3.9/site-packages/linecache2/tests/test_linecache.py
- usr/lib/python3.9/site-packages/linecache2-1.0.0-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/linecache2-1.0.0-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/linecache2-1.0.0-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/linecache2-1.0.0-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/linecache2-1.0.0-py3.9.egg-info/pbr.json
- usr/lib/python3.9/site-packages/linecache2-1.0.0-py3.9.egg-info/top_level.txt
- usr/share/doc/linecache2-1.0.0/AUTHORS
- usr/share/doc/linecache2-1.0.0/ChangeLog.bz2
- usr/share/doc/linecache2-1.0.0/README.rst
- var/db/pkg/dev-python/linecache2-1.0.0/BDEPEND
- var/db/pkg/dev-python/linecache2-1.0.0/BUILD_TIME
- var/db/pkg/dev-python/linecache2-1.0.0/CATEGORY
- var/db/pkg/dev-python/linecache2-1.0.0/CBUILD
- var/db/pkg/dev-python/linecache2-1.0.0/CFLAGS
- var/db/pkg/dev-python/linecache2-1.0.0/CHOST
- var/db/pkg/dev-python/linecache2-1.0.0/CONTENTS
- var/db/pkg/dev-python/linecache2-1.0.0/COUNTER
- var/db/pkg/dev-python/linecache2-1.0.0/CTARGET
- var/db/pkg/dev-python/linecache2-1.0.0/CXX
- var/db/pkg/dev-python/linecache2-1.0.0/CXXFLAGS
- var/db/pkg/dev-python/linecache2-1.0.0/DEFINED_PHASES
- var/db/pkg/dev-python/linecache2-1.0.0/DEPEND
- var/db/pkg/dev-python/linecache2-1.0.0/DESCRIPTION
- var/db/pkg/dev-python/linecache2-1.0.0/EAPI
- var/db/pkg/dev-python/linecache2-1.0.0/FEATURES
- var/db/pkg/dev-python/linecache2-1.0.0/HOMEPAGE
- var/db/pkg/dev-python/linecache2-1.0.0/INHERITED
- var/db/pkg/dev-python/linecache2-1.0.0/IUSE
- var/db/pkg/dev-python/linecache2-1.0.0/IUSE_EFFECTIVE
- var/db/pkg/dev-python/linecache2-1.0.0/KEYWORDS
- var/db/pkg/dev-python/linecache2-1.0.0/LDFLAGS
- var/db/pkg/dev-python/linecache2-1.0.0/LICENSE
- var/db/pkg/dev-python/linecache2-1.0.0/PF
- var/db/pkg/dev-python/linecache2-1.0.0/RDEPEND
- var/db/pkg/dev-python/linecache2-1.0.0/SIZE
- var/db/pkg/dev-python/linecache2-1.0.0/SLOT
- var/db/pkg/dev-python/linecache2-1.0.0/USE
- var/db/pkg/dev-python/linecache2-1.0.0/environment.bz2
- var/db/pkg/dev-python/linecache2-1.0.0/linecache2-1.0.0.ebuild
- var/db/pkg/dev-python/linecache2-1.0.0/repository
package_cacheimage: ""
runtime:
  name: linecache2
  version: 1.0.0+2
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Backports of the linecache module
  uri:
  - https://github.com/testing-cabal/linecache2
  - https://pypi.org/project/linecache2/
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: python_targets_python3_10? ( dev-python/pbr[python_targets_python3_10(-)?,-python_single_target_python3_10(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]
      dev-python/setuptools[python_targets_python3_10(-)?,-python_single_target_python3_10(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]
      ) python_targets_python3_7? ( dev-python/pbr[python_targets_python3_10(-)?,-python_single_target_python3_10(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]
      dev-python/setuptools[python_targets_python3_10(-)?,-python_single_target_python3_10(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]
      ) python_targets_python3_9? ( dev-python/pbr[python_targets_python3_10(-)?,-python_single_target_python3_10(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]
      dev-python/setuptools[python_targets_python3_10(-)?,-python_single_target_python3_10(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]
      ) python_targets_python3_8? ( dev-python/pbr[python_targets_python3_10(-)?,-python_single_target_python3_10(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]
      dev-python/setuptools[python_targets_python3_10(-)?,-python_single_target_python3_10(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]
      )
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/linecache2
    kit: geaaru-kit
    original.package.name: dev-python/linecache2
    original.package.slot: "0"
    original.package.version: 1.0.0
